import React from 'react';
import ReactDOM from 'react-dom';
import { arc } from 'd3';

const width = 960;
const height = 500;
const centerX = width / 2;
const centerY = height / 2;
const strokeWidth = 5;
const eyeOffsetX = 90;
const eyeOffsetY = 100;
const eyeRadius = 30;
const mouthWidth = 10;
const mouthRadius = 40;
const eyebrowWidth = 70;
const eyebrowHeight = 20;
// const eyebrowRadius = 50;

const mouthArc = arc()
  .innerRadius(mouthRadius)
  .outerRadius(mouthRadius + mouthWidth)
  .startAngle(Math.PI*1.6)
  .endAngle(Math.PI* 2.4);


const App = () => (
  <svg width={width} height={height}>
    <g transform={`translate(${centerX},${centerY})`}>
      <circle
        r={centerY - strokeWidth / 2}
        fill="pink"
        stroke="black"
        stroke-width={strokeWidth}
      />
      <ellipse
        cx={-eyeOffsetX}
        cy={-eyeOffsetY}
        rx={eyeRadius}
        ry={eyeRadius/1.5}
      />
      <ellipse
        cx={eyeOffsetX}
        cy={-eyeOffsetY}
        rx={eyeRadius}
        ry={eyeRadius/1.5}
      />
      <circle
        cx={-eyeOffsetX}
        cy={-eyeOffsetY}
        r={10}
        fill="white"
        stroke="black"
        stroke-width={strokeWidth}
      />
      <circle
        cx={eyeOffsetX}
        cy={-eyeOffsetY}
        r={10}
        fill="white"
        stroke="black"
        stroke-width={strokeWidth}
      />

      <path 
        d={mouthArc()}
        fill="brown"
        />
      <path 
        d='M-300 -100 C -260 -110, -230 -150, -225 -180'
        fill = "none"
        stroke= "red"
        stroke-width={strokeWidth+10}
        />
      <path 
        d='M-190 -170 C -180 -80, -160 -70, -150 -60'
        fill = "none"
        stroke= "red"
        stroke-width={strokeWidth+10}
        />
      <path 
        d='M-170 -40 C -200 -70, -250 -80, -290 -70'
        fill = "none"
        stroke= "red"
        stroke-width={strokeWidth+10}
        />
    </g>
  </svg>
);


const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);